Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 235962 (perl-Config-Any)

Summary: Review Request: perl-Config-Any - Load configuration from different file formats, transparently
Product: [Fedora] Fedora Reporter: Chris Weyl <cweyl>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: iarnell
Target Milestone: ---Flags: panemade: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://search.cpan.org/dist/Config-Any/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-05-04 23:03:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 232018    
Bug Blocks: 238233    

Description Chris Weyl 2007-04-11 03:16:55 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Config-Any-0.07-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Config-Any.spec

Description:
Config::Any provides a facility for Perl applications and libraries to
load configuration data from multiple different file formats. It supports
XML, YAML, JSON, Apache-style configuration, Windows INI files, and even
Perl code.

Comment 1 Parag AN(पराग) 2007-04-11 04:05:24 UTC
I found in build.log
+ make test 
t/01-use..........ok
t/10-branches.....ok
t/20-parse........ok
        27/54 skipped: various reasons
t/50-general......ok
        2/2 skipped: Couldn't Load Config::General plugin
t/51-ini..........ok
        9/9 skipped: various reasons
t/52-json.........ok
t/53-perl.........ok
t/54-xml..........ok
        2/2 skipped: Couldn't Load XML plugin
t/55-yaml.........ok
t/61-features.....ok
        10/10 skipped: File loading backend for INI not found
t/pod-coverage....ok
t/pod.............ok
All tests successful, 50 subtests skipped.
Files=12, Tests=112,  1 wallclock secs ( 0.75 cusr +  0.17 csys =  0.92 CPU)



Comment 2 Parag AN(पराग) 2007-04-11 04:06:27 UTC
Do this package need to add XML plugin as well as Config::General plugin?

Comment 3 Chris Weyl 2007-04-11 05:14:06 UTC
(In reply to comment #2)
> Do this package need to add XML plugin as well as Config::General plugin?

Yes.  Updated:

SRPM URL: http://home.comcast.net/~ckweyl/perl-Config-Any-0.07-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Config-Any.spec

Comment 4 Parag AN(पराग) 2007-04-11 05:48:25 UTC
I saw following is missing
BuildRequires:  perl(ExtUtils::MakeMaker)
Is that intentional?

Comment 5 Chris Weyl 2007-04-11 06:08:34 UTC
(In reply to comment #4)
> I saw following is missing
> BuildRequires:  perl(ExtUtils::MakeMaker)
> Is that intentional?

That is correct -- this module actually uses Module::Build instead of
ExtUtils::MakeMaker.


Comment 6 Parag AN(पराग) 2007-04-11 06:31:20 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
f4233adfa8abb621be7a68f172be000a  Config-Any-0.07.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
t/01-use..........ok
t/10-branches.....ok
t/20-parse........ok
t/50-general......ok
t/51-ini..........ok
t/52-json.........ok
t/53-perl.........ok
t/54-xml..........ok
t/55-yaml.........ok
t/61-features.....ok
t/pod-coverage....ok
t/pod.............ok
All tests successful.
Files=12, Tests=112,  2 wallclock secs ( 1.04 cusr +  0.19 csys =  1.23 CPU)

+ Provides: perl(Config::Any) = 0.07 perl(Config::Any::General)
perl(Config::Any::INI) perl(Config::Any::JSON) perl(Config::Any::Perl)
perl(Config::Any::XML) perl(Config::Any::YAML)

APPROVED.


Comment 7 Chris Weyl 2007-04-11 14:52:22 UTC
New Package CVS Request
=======================
Package Name: perl-Config-Any
Short Description: Load configuration from different file formats, transparently
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 8 Chris Weyl 2007-04-16 16:11:50 UTC
Approved and branched, just waiting on perl-YAML-Syck to import and build this
package.

Comment 9 Chris Weyl 2007-05-04 23:03:03 UTC
Imported and building...  Thanks for the review! :)

Comment 10 Chris Weyl 2007-05-28 22:17:53 UTC
Please branch for F-7.

Comment 11 Iain Arnell 2010-08-25 05:39:00 UTC
Package Change Request
======================
Package Name: perl-Config-Any
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig

Comment 12 Kevin Fenzi 2010-08-25 17:11:38 UTC
Git done (by process-git-requests).